Bug 202151 - net-mgmt/nagvis needs update
Summary: net-mgmt/nagvis needs update
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-08-07 06:54 UTC by peo
Modified: 2016-07-31 10:57 UTC (History)
5 users (show)

See Also:


Attachments
svn_diff-net-mgmt-nagvis-1.8.5 (30.21 KB, patch)
2016-06-25 21:24 UTC, w.schwarzenfeld
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description peo 2015-08-07 06:54:46 UTC
/usr/ports/net-mgmt/nagvis
Port version is 1.7.2

Available is 1.8.5 with 1.9 in the works

Thanks!
Comment 1 Martin Wilke freebsd_committer 2016-01-16 07:30:29 UTC
Hi

I close this here since the maintainer did not respond, feel free to reopen with a proposed patch :).
Comment 2 peo 2016-06-25 18:10:06 UTC
Apparently the current maintainer is not interested/got no time, is there anyone else out there who can take it? I am not confident enough to propse the necessary patch.

Thanks,
Comment 3 w.schwarzenfeld freebsd_triage 2016-06-25 21:22:52 UTC
Version 1.9 is still beta.
Update net-mgmt/nagvis to 1.8.5.
Some Changelogs here (mostly bug-fixes):

http://www.nagvis.org/

portlint states: "looks fine"
Comment 4 w.schwarzenfeld freebsd_triage 2016-06-25 21:24:01 UTC
Created attachment 171802 [details]
svn_diff-net-mgmt-nagvis-1.8.5
Comment 5 w.schwarzenfeld freebsd_triage 2016-06-25 22:25:24 UTC
Poudriere builds on 10-3 amd64, 93 amd64, 103 i386, 93 i386 OK.
Comment 6 Rene Ladan freebsd_committer 2016-07-25 19:10:05 UTC
miwi@ resigned.
Comment 7 Kurt Jaeger freebsd_committer 2016-07-30 11:01:58 UTC
testbuilds@work
Comment 8 w.schwarzenfeld freebsd_triage 2016-07-30 11:19:48 UTC
Poudriere build 11amd64 ok.
Comment 9 commit-hook freebsd_committer 2016-07-30 11:21:53 UTC
A commit references this bug:

Author: pi
Date: Sat Jul 30 11:21:43 UTC 2016
New revision: 419310
URL: https://svnweb.freebsd.org/changeset/ports/419310

Log:
  net-mgmt/nagvis: 1.7.2 -> 1.8.5

  - For changes see the links to all changelogs on
    http://www.nagvis.org/

  PR:		202151
  Submitted by:	w.schwarzenfeld@utanet.at
  Reported by:	peo@bsdlabs.com
  Approved by:	derfi@vei.ru (maintainer timeout)

Changes:
  head/net-mgmt/nagvis/Makefile
  head/net-mgmt/nagvis/distinfo
  head/net-mgmt/nagvis/pkg-plist
Comment 10 Kurt Jaeger freebsd_committer 2016-07-30 11:22:00 UTC
Committed, thanks!
Comment 11 Olli Hauer freebsd_committer 2016-07-30 11:26:31 UTC
@Kurt

keep care of one silly "make makeplist" replacement.

-%%WWWDIR%%/etc/nagvis.ini.php-sample
+%%WWWDIR%%/%%ETCDIR%%.ini.php-sample

This really should stay in the former version

-- 
A few seconds to late ???
Comment 12 commit-hook freebsd_committer 2016-07-30 11:41:56 UTC
A commit references this bug:

Author: pi
Date: Sat Jul 30 11:41:43 UTC 2016
New revision: 419313
URL: https://svnweb.freebsd.org/changeset/ports/419313

Log:
  net-mgmt/nagvis: fix plist

  PR:		202151
  Submitted by:	ohauer

Changes:
  head/net-mgmt/nagvis/pkg-plist
Comment 13 commit-hook freebsd_committer 2016-07-31 10:23:57 UTC
A commit references this bug:

Author: pi
Date: Sun Jul 31 10:23:22 UTC 2016
New revision: 419353
URL: https://svnweb.freebsd.org/changeset/ports/419353

Log:
  net-mgmt/nagvis: fix Makefile comment

  PR:		202151
  Reported by:	mat

Changes:
  head/net-mgmt/nagvis/Makefile
Comment 14 Olli Hauer freebsd_committer 2016-07-31 10:57:09 UTC
I think this whole new addition to the Makefile is not correct, since the port itself has NO_BUILD defined and depends on phpXX-gettext


USES=           gettext
NLS_USES=       gettext 
NLS_CONFIGURE_OFF=      --disable-nls